## sitesummary 0.1.51

=== debian/changelog ===
sitesummary (0.1.51) unstable; urgency=medium

  * Source only upload for migration to testing.

 -- Holger Levsen <holger@debian.org>  Sun, 13 Feb 2022 09:41:47 +0100

=== debian/control ===
Source: sitesummary
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>
 , Holger Levsen <holger@debian.org>
 , Mike Gabriel <sunweaver@debian.org>
 , Dominik George <nik@naturalnet.de>
 , Wolfgang Schweer <wschweer@arcor.de>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: binary-targets
Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
Vcs-Browser: https://salsa.debian.org/debian-edu/upstream/sitesummary
Vcs-Git: https://salsa.debian.org/debian-edu/upstream/sitesummary.git

Package: sitesummary
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${perl:Depends}, gnupg, net-tools, libsitesummary-perl (= ${source:Version}), libcgi-pm-perl
Recommends: apache2 | httpd, sitesummary-client
Suggests: munin, munin-node, icinga2, monitoring-plugins-standard, ldap-utils, cups-client
Description: Generate site summary of submitting hosts (server part)
 The sitesummary system makes it easier to keep track of a lot of
 machines, by allowing each machine to report their existence once a
 day to a central collector, and using this collector to make summary
 reports about the hosts.
 .
 This package is the server part, with the collector and report
 scripts.

Package: libsitesummary-perl
Section: perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Suggests: sitesummary-client, sitesummary
Breaks:
 sitesummary (<< 0.1.50~),
Replaces:
 sitesummary (<< 0.1.50~),
Description: Generate site summary of submitting hosts (Perl module)
 The sitesummary system makes it easier to keep track of a lot of
 machines, by allowing each machine to report their existence once a
 day to a central collector, and using this collector to make summary
 reports about the hosts.
 .
 This package contains the Perl module of the server part of sitesummary.

Package: sitesummary-client
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, lsb-base, gnupg, net-tools
Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute2, hdparm
Suggests: sitesummary, munin-node, nagios-nrpe-server, monitoring-plugins-standard, cdpr, ipmitool, zfsutils-linux
Description: Generate site summary of submitting hosts (client part)
 The sitesummary system makes it easier to keep track of a lot of
 machines, by allowing each machine to report their existence once a
 day to a central collector, and using this collector to make summary
 reports about the hosts.
 .
 This package is the client part, reporting in to the server after
 boot and once a day.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

# No need to submit information when the package is installed
override_dh_installinit:
	dh_installinit --no-start

## sitesummary 0.1.52

=== debian/changelog ===
sitesummary (0.1.52) unstable; urgency=medium

  * debian/control:
    + Update R: (sitesummary-client): 'cron' -> 'cron | cron-daemon'. (Closes:
      #1038956).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Jun 2023 20:55:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  , Holger Levsen <holger@debian.org>
  , Mike Gabriel <sunweaver@debian.org>
  , Dominik George <nik@naturalnet.de>
- , Wolfgang Schweer <wschweer@arcor.de>
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
@@ -49,7 +48,7 @@
 Package: sitesummary-client
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, lsb-base, gnupg, net-tools
-Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute2, hdparm
+Recommends: cron | cron-daemon, dmidecode, pciutils, usbutils, lsscsi, iproute2, hdparm
 Suggests: sitesummary, munin-node, nagios-nrpe-server, monitoring-plugins-standard, cdpr, ipmitool, zfsutils-linux
 Description: Generate site summary of submitting hosts (client part)
  The sitesummary system makes it easier to keep track of a lot of

## sitesummary 0.1.53

=== debian/changelog ===
sitesummary (0.1.53) unstable; urgency=medium

  [ Dominik George ]
  * Remove myself from Uploaders.

  [ Guido Berhoerster ]
  * Place munin configuration in include file. (Closes: #762652).
  * Add systemd timer unit for sitesummary-client. (Closes: #1039369).
  * Add systemd timer for sitesummary maintenance.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libsitesummary-perl: Add Multi-Arch: foreign.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Aug 2023 18:00:37 +0200

## sitesummary 0.1.56~deb12u1

=== debian/changelog ===
sitesummary (0.1.56~deb12u1) bookworm; urgency=medium

  * Release to bookworm as 0.1.56~deb12u1.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 28 Aug 2023 16:31:34 +0200

sitesummary (0.1.56) unstable; urgency=medium

  * debian/sitesummary.install:
    + Fix installation of sitesummary-maintenance CRON/systemd-timerd script.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Aug 2023 15:28:32 +0200

sitesummary (0.1.55) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Fix insecure temporary file and directory creation, error checking.
    Seurely create a temporary directory using mktemp and check for errors both
    when creating the directory and wehn changing the current working directory.
    Place the tarball inside the temporary directory instead of using a predictable
    file name in /tmp which may lead to a symlink attack. Ensure the temporary
    directory is always removed. (Closes: #1050289).
  * Use quoting for fragments.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2023 10:43:16 +0200

sitesummary (0.1.54) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Disable usage of lspci on clients by default
    This works around a bug that turns off the screen on certain Intel NUC
    models. It can be re-enabled by setting the environment variable
    ENABLE_LSPCI to an arbitrary value.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Aug 2023 15:31:03 +0200

## sitesummary 0.1.56~deb12u2

=== debian/changelog ===
sitesummary (0.1.56~deb12u2) bookworm; urgency=medium

  [ Guido Berhoerster ]
  * Use systemd timer for running sitesummary-client if available.
    (Cherry-picked from release 0.1.58).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Nov 2023 10:38:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>
  , Holger Levsen <holger@debian.org>
  , Mike Gabriel <sunweaver@debian.org>
- , Dominik George <nik@naturalnet.de>
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
@@ -37,6 +36,7 @@
  sitesummary (<< 0.1.50~),
 Replaces:
  sitesummary (<< 0.1.50~),
+Multi-Arch: foreign
 Description: Generate site summary of submitting hosts (Perl module)
  The sitesummary system makes it easier to keep track of a lot of
  machines, by allowing each machine to report their existence once a

## sitesummary 0.1.58

=== Makefile ===
DESTDIR = 

prefix       = /usr
sbindir      = $(prefix)/sbin
datadir      = $(prefix)/share
libdir       = $(prefix)/lib
cgibindir    = $(libdir)/cgi-bin
pkgdatadir   = $(datadir)/sitesummary
pkgdir       = $(libdir)/sitesummary
collectordir = $(pkgdir)/collect.d
perldir      = $(datadir)/perl5
pkgvardir    = /var/lib/sitesummary
nagiosplugdir= $(pkgdir)/nagios-plugins

INSTALL      = install
INSTALL_DATA = $(INSTALL) -m 644

COLLECTORS = \
	collect.d/debian \
	collect.d/debian-edu \
	collect.d/ipmi \
	collect.d/nagios \
	collect.d/system \
	collect.d/siteinfo

SUMMARYSCRIPTS = \
	agesinceseen-summary \
	debian-version-summary \
	site-summary \
	hardware-model-summary \
	hostclass-summary \
	kernelversion-summary \
	debian_edu-summary

all:

install: install-server install-client

install-server:
	$(INSTALL) -d $(DESTDIR)$(cgibindir)
	$(INSTALL) sitesummary-collector.cgi $(DESTDIR)$(cgibindir)

	$(INSTALL) -d $(DESTDIR)$(sbindir)
	for f in sitesummary-makewebreport sitesummary-nodes sitesummary-update-munin sitesummary-update-nagios ; do \
		$(INSTALL) $$f $(DESTDIR)$(sbindir) ; \
	done

	$(INSTALL) -d $(DESTDIR)$(perldir)
	$(INSTALL) -d $(DESTDIR)$(pkgdir)
	$(INSTALL_DATA) SiteSummary.pm $(DESTDIR)$(perldir)
	$(INSTALL) $(SUMMARYSCRIPTS) $(DESTDIR)$(pkgdir)/

	$(INSTALL) expire-entry $(DESTDIR)$(pkgdir)/

	$(INSTALL) -d $(DESTDIR)/etc/apache2/conf-available
	$(INSTALL_DATA) apache.conf $(DESTDIR)/etc/apache2/conf-available/sitesummary.conf

	$(INSTALL) -o www-data -d $(DESTDIR)$(pkgvardir)/entries
	$(INSTALL) -o www-data -d $(DESTDIR)$(pkgvardir)/tmpstorage
	$(INSTALL) -d $(DESTDIR)$(pkgvardir)/www

	$(INSTALL) -d $(DESTDIR)/usr/share/munin/plugins/.
	$(INSTALL) munin-plugin $(DESTDIR)/usr/share/munin/plugins/sitesummary_sites
	$(INSTALL) munin-plugin-agesinceseen \
		$(DESTDIR)/usr/share/munin/plugins/sitesummary_agesinceseen

	$(INSTALL) -d $(DESTDIR)/etc/icinga
	$(INSTALL_DATA) nagios.cfg \
		$(DESTDIR)/etc/icinga/sitesummary.cfg
	$(INSTALL_DATA) nagios-templates.cfg \
		$(DESTDIR)/etc/icinga/sitesummary-templates.cfg
	$(INSTALL_DATA) nagios-template-contacts.cfg \
		$(DESTDIR)/etc/icinga/sitesummary-template-contacts.cfg
	$(INSTALL) -d $(DESTDIR)/etc/nagios
	$(INSTALL_DATA) nagios-nrpe-commands.cfg \
		$(DESTDIR)/etc/nagios/sitesummary-nrpe-commands.cfg

install-client:
	$(INSTALL) -d $(DESTDIR)$(sbindir)
	$(INSTALL) sitesummary-client sitesummary-upload $(DESTDIR)$(sbindir)
	$(INSTALL) -d $(DESTDIR)$(pkgdatadir)
	$(INSTALL_DATA) sitesummary-client.conf $(DESTDIR)$(pkgdatadir)/

	$(INSTALL) -d $(DESTDIR)$(collectordir)
	for collector in $(COLLECTORS) ; do \
		$(INSTALL) $$collector $(DESTDIR)$(collectordir); \
	done

	$(INSTALL) -d $(DESTDIR)$(nagiosplugdir)
	for plugin in nagios-plugins/* ; do \
		$(INSTALL) $$plugin $(DESTDIR)$(nagiosplugdir); \
	done

clean:
	$(RM) *~ */*~
distclean: clean

=== debian/changelog ===
sitesummary (0.1.58) unstable; urgency=medium

  [ Holger Levsen ]
  * Remove myself from uploaders.

  [ Guido Berhoerster ]
  * Use systemd timer for running sitesummary-client if available.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 22 Sep 2023 19:12:51 +0200

sitesummary (0.1.57) unstable; urgency=medium

  * Added debian-version-summary script to list Debian version info.
  * Added host listing support (-l) for hostclass-summary
    and debian_edu-summary.
  * Use debian-version-summary in default web report.
  * Replaced sitesummary-client lsb-base with sysvinit-utils
    for /lib/lsb/init-functions.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 12 Sep 2023 15:13:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
- , Holger Levsen <holger@debian.org>
  , Mike Gabriel <sunweaver@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.0
@@ -47,7 +46,7 @@
 
 Package: sitesummary-client
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, lsb-base, gnupg, net-tools
+Depends: ${misc:Depends}, ${perl:Depends}, sysvinit-utils, gnupg, net-tools
 Recommends: cron | cron-daemon, dmidecode, pciutils, usbutils, lsscsi, iproute2, hdparm
 Suggests: sitesummary, munin-node, nagios-nrpe-server, monitoring-plugins-standard, cdpr, ipmitool, zfsutils-linux
 Description: Generate site summary of submitting hosts (client part)

## sitesummary 0.1.59

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 SUMMARYSCRIPTS = \
 	agesinceseen-summary \
+	debian-pkgversion-summary \
 	debian-version-summary \
 	site-summary \
 	hardware-model-summary \

=== debian/changelog ===
sitesummary (0.1.59) unstable; urgency=medium

  * Introduced debian-pkgversion-summary listing versions seen for a
    given package.
  * Updated Standards-Version from 4.6.0 to 4.6.2.  No changes needed.
  * Extend sitesummary-upload to handle https URLs in addition to http URLs
    (Closes: 942202).
  * Changed sysvinit-utils dependency to (>= 3.05-1) for working
    /lib/lsb/init-functions.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 12 Dec 2023 20:10:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>
  , Mike Gabriel <sunweaver@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Browser: https://salsa.debian.org/debian-edu/upstream/sitesummary
@@ -46,7 +46,7 @@
 
 Package: sitesummary-client
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, sysvinit-utils, gnupg, net-tools
+Depends: ${misc:Depends}, ${perl:Depends}, sysvinit-utils (>= 3.05-1), gnupg, net-tools
 Recommends: cron | cron-daemon, dmidecode, pciutils, usbutils, lsscsi, iproute2, hdparm
 Suggests: sitesummary, munin-node, nagios-nrpe-server, monitoring-plugins-standard, cdpr, ipmitool, zfsutils-linux
 Description: Generate site summary of submitting hosts (client part)

## sitesummary 0.1.60

=== debian/changelog ===
sitesummary (0.1.60) unstable; urgency=medium

  * Added Romanian debconf translation (ro.po). (Closes: #1059589)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 29 Mar 2024 14:45:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 # No need to submit information when the package is installed
 override_dh_installinit:
 	dh_installinit --no-start
+
+override_dh_installsystemd:
+	dh_installsystemd --no-start --name sitesummary
+	dh_installsystemd --no-start --name sitesummary-client

## sitesummary 0.1.60build1

=== debian/changelog ===
sitesummary (0.1.60build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:25:41 +0100

## sitesummary 0.1.61

=== debian/changelog ===
sitesummary (0.1.61) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Converted d/copyright to machine readable format.
  * Adjusted system info collector to handle missing runlevel command.
    (Closes: #1127467)
  * Updated Standards-Version from 4.6.2 to 4.7.3.
  * Updated FSF address in d/copyright to keep lintian happy.

  [ Carles Pina i Estany ]
  * Update po-debconf Catalan translation

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 10 Feb 2026 20:48:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>
  , Mike Gabriel <sunweaver@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Browser: https://salsa.debian.org/debian-edu/upstream/sitesummary
